# Source: 020-message-broker-amq-readiness-queue.yaml
apiVersion: broker.amq.io/v1beta1
kind: ActiveMQArtemisAddress
metadata:
  name: readinessqueue
  namespace: entmqbr5920
spec:
  addressName: readinessqueue
  queueConfiguration:
    purgeOnNoConsumers: false
    maxConsumers: -1
    durable: true
    enabled: true
  queueName: readinessqueue
  routingType: anycast
  applyToCrNames:
    - brokeramq